c
	PARAMETER SIZE_ST84_N = 7180, SIZE_ST84_S = 530
	PARAMETER Beginner = 1, Basic = 2, Advanced = 3, Expert = 4
	PARAMETER Not_used = 0, One_only = 1, Any = 2, E_has = 3
	PARAMETER M_rank = 15, M_item = 10, M_tech = 12, M_torp = 30
	PARAMETER M_base = 1, M_hole = 3, M_gh = 1, M_find = 18
	PARAMETER Blank = ' '
	PARAMETER Collision = 1, Outta_energy = 2, Outta_time = 3,
	1	Win_big = 4, Outta_crew = 5, Blow_up = 6,
	2	Self_destruct = 7, Saved = 0
	PARAMETER Green = 'GREEN', Orange = 'ORANGE', Red = 'RED',
	1	Yellow = 'YELLOW', Docked = 'DOCKED', Cloaked = 'CLOAKED'
	PARAMETER TECH_warp = 1, TECH_energy = 2, TECH_phasor = 3,
	1	TECH_tvel = 4, TECH_trate = 5, TECH_pulse = 6,
	2	TECH_att_kl = 7, TECH_att_rom = 8, TECH_trnrg = 9,
	3	TECH_shield = 10, TECH_trans = 11, TECH_commun = 12
	PARAMETER SH_onboard = -1, SH_at_planet = -2, SH_to_planet = -3,
	1	SH_home = -4, SH_destruct = -5, SH_lost = -6
	PARAMETER You = 1, Them = 2, Noone = 0, Destroyed = -1
	PARAMETER Warp_drive = 1, Impulse = 2, Phasor = 3,
	1	Torpedo = 4, Transporter = 5, Pulsar = 6, SR_scan = 7,
	2	LR_scan = 8, Computer = 9, Communications = 10
	PARAMETER FIND_nothing = 0, FIND_disease = 1, FIND_warp = 2,
	1	FIND_energy = 3, FIND_phasor = 4, FIND_tvel = 5,
	2	FIND_trate = 6, FIND_pulse = 7, FIND_att_kl = 8,
	3	FIND_att_rom = 9, FIND_trans = 10, FIND_commun = 11,
	4	FIND_shields = 12, FIND_aliens = 13, FIND_eforms = 14,
	5	FIND_androids = 15, FIND_trnrg = 16, FIND_tribbles = 17,
	6	FIND_gromblies = 18
	PARAMETER Planets = 1, Bases = 10, Klingons = 100, Romulans = 1000
	PARAMETER Phasors = 1, Torpedos = 2
c
	CHARACTER all_st84_s*(SIZE_ST84_S)
	CHARACTER lastname*16,pwd*16,saved_name*40
	CHARACTER rank_ttl(M_rank)*20,condition*6
	CHARACTER item_name(M_item)*16,ph_dir*1,trans_from*1,trans_to*1
	CHARACTER track_rpt*1,time_started*24,time_ended*24
c
	BYTE all_st84_n(SIZE_ST84_N)
	INTEGER*4 rank,ngame,gameno,level,nquad,rankpt(M_rank),mrom,nkl
	INTEGER*4 kl_e_kill(9),kl_k_kill(9),rom_e_kill(9),rom_r_kill(9)
	INTEGER*4 trans_to_num,trans_from_num,trans_ntrp,findings(9)
	INTEGER*4 rleft,kleft,maxq,cloaking,enemy,nbase,nr_cloak,ice,jce
	INTEGER*4 score,how_ended,galaxy(10,10),itorp,crew,troops
	INTEGER*4 shuttle,storm_ctl(9),planet_ctl(9),rp_tgt,wdrive_hits
	INTEGER*4 have_seen(10,10),time_passed,itfire,shtl_path(9)
	INTEGER*4 nhole(10,10),clkloc(10,10),x_hole_to(M_hole,10,10)
	INTEGER*4 y_hole_to(M_hole,10,10),n_rom,n_inv_rom,n_kl,n_base
	INTEGER*4 n_planet,n_hole,n_gh,n_torp,n_storm,base_ctl(M_base)
	INTEGER*4 kl_fire(9),kl_crew(9),kl_troops(9),kl_ctl(9)
	INTEGER*4 rom_fire(9),rom_crew(9),rom_troops(9),rom_ctl(9)
	INTEGER*4 gh_troops(M_gh),gh_ctl(M_gh),gh_torp(M_gh)
	INTEGER*4 gh_fire(M_gh),base_crew(M_base)
	INTEGER*4 base_troops(M_base),torp_ctl(M_torp),dmg_assn(M_item)
	INTEGER*4 shtl_planet,alien_planet,kl_cr_losses(9),kl_tr_losses(9)
	INTEGER*4 rom_cr_losses(9),rom_tr_losses(9),fatalities
	INTEGER*4 gh_weapon(M_gh),ndock,base_energy(10,10),lowdie
c
	LOGICAL*4 saved_game,newquad,docking,emerg_power,rated
	LOGICAL*4 explored(9),new_shuttle(M_base),truce,tr_nrg
	LOGICAL*4 eforms,aliens,tribbles,disease,jammed,autopilot
	LOGICAL*4 autoprint,gromblies,seen_once
c
	REAL*4 points,phole,snovap,pstorm,prcldn,time_left,xqe,yqe
	REAL*4 damage(M_item),energy,shields,psp,dsp,pdeg,ddeg
	REAL*4 tech(M_tech),kl_psp(9),kl_dsp(9),rp_nrg,actjam
	REAL*4 kl_pdeg(9),kl_ddeg(9),kl_hits(9),kl_x(9),kl_y(9)
	REAL*4 rom_x(9),rom_y(9),rom_hits(9),ph_nrg,tbrg(9)
	REAL*4 hole_x(M_hole),hole_y(M_hole),base_x(M_base),total_time
	REAL*4 base_y(M_base),gh_x(M_gh),gh_y(M_gh),gh_psp(M_gh)
	REAL*4 gh_dsp(M_gh),gh_pdeg(M_gh),radius(9),xnet(6),add
	REAL*4 gh_ddeg(M_gh),gh_energy(M_gh),gh_tbrg(M_gh),torp_pdeg(M_torp)
	REAL*4 gh_shields(M_gh),gh_damage(M_gh),planet_x(9),planet_y(9)
	REAL*4 storm_x(9),storm_y(9),storm_psp(9),storm_pdeg(9)
	REAL*4 torp_x(M_torp),torp_y(M_torp),torp_psp(M_torp)
	REAL*4 shtl_x,shtl_y,virulency,p_cure,alien_rate
	REAL*4 rom_tbrg(9),gh_phasors(M_gh),cloaking_time,cutoff
	REAL*4 last_refit,usage(M_item),p_fizzle(M_item)
c
	COMMON / ST84_S / lastname,pwd,rank_ttl,condition,
	1	ph_dir,item_name,trans_to,trans_from,track_rpt,
	2	time_started,time_ended
	COMMON / ST84_N / rank,gameno,level,nquad,mrom,nkl,rleft,kleft,
	1	maxq,cloaking,enemy,nbase,phole,snovap,pstorm,prcldn,
	2	time_left,saved_game,score,how_ended,points,rankpt,
	3	nr_cloak,ice,jce,galaxy,nhole,clkloc,xqe,yqe,itorp,crew,
	4	troops,shuttle,damage,energy,shields,psp,dsp,pdeg,ddeg,
	5	tech,have_seen,base_ctl,storm_ctl,planet_ctl,gh_ctl,
	6	x_hole_to,y_hole_to,newquad,time_passed,wdrive_hits,
	7	n_rom,n_inv_rom,n_hole,n_planet,n_base,n_torp,
	8	n_kl,n_gh,n_storm,base_troops,new_shuttle,radius,
	9	planet_x,planet_y,explored,base_x,base_y,rom_x,rom_y,rom_hits
	COMMON / ST84_N / rom_crew,rom_fire,rom_ctl,kl_x,kl_y,kl_psp,
	1	kl_dsp,kl_pdeg,
	2	kl_ddeg,kl_hits,kl_crew,kl_fire,kl_ctl,gh_x,gh_y,gh_psp,
	3	gh_dsp,gh_pdeg,gh_ddeg,gh_fire,gh_energy,gh_troops,gh_torp,
	4	gh_tbrg,gh_damage,gh_shields,kl_troops,rom_troops,hole_x,
	5	hole_y,storm_x,storm_y,storm_psp,storm_pdeg,torp_x,torp_y,
	6	torp_psp,torp_pdeg,torp_ctl,total_time,docking,dmg_assn,
	7	emerg_power,ph_nrg,itfire,tbrg,rp_nrg,rp_tgt,rated,tr_nrg,
	8	findings,actjam,kl_e_kill,kl_k_kill,rom_e_kill,rom_r_kill,
	9	trans_ntrp,trans_to_num,trans_from_num,truce,shtl_path
	COMMON / ST84_N / base_crew,shtl_x,shtl_y,shtl_planet,eforms,
	1	aliens,tribbles,
	2	disease,virulency,p_cure,alien_planet,alien_rate,rom_tbrg,
	3	gh_phasors,jammed,cloaking_time,kl_tr_losses,kl_cr_losses,
	4	rom_tr_losses,rom_cr_losses,autopilot,autoprint,cutoff,
	5	fatalities,gh_weapon,gromblies,last_refit,ndock,usage,
	6	p_fizzle,seen_once,base_energy,xnet,lowdie,add
	EQUIVALENCE (lastname,all_st84_s),(rank,all_st84_n)
